/*------------------------------------------------------------------+
-	File Name		: main.c										-
-	Module Name		: DTMF Detector Driver							-
-	Description		: firmware integration for DTMF Detector		-
-	Last Update		: 11/07/2005 - 2.1 (PINOUT REVISION)			-
- 					  06/07/2005 - 2.0								-
-	Author			: Daniel Widyanto (kunilkuda@yahoo.com)			-
-					  Ivan Christian (chris.ivan@gmail.com)			-
+------------------------------------------------------------------*/

#include <avr/io.h>
#include <avr/delay.h>

#include "port.h"
#include "cm8888_drv.h"

int main(void){
	DDRA = 0xFF;
	PORTA = 0xFF;

	DDRD = 0xFF;
	DDRD &= ~_BV(N_IRQ);
	
	init_DTMF();
	
	while(1){
		if((PIND & 0x04) == 0x04){
			PORTA = ~scan_DTMF();
		}
	}
}
